Subject: bug#42099: Emacs -nw Turkish Layout Problem

From: Yigit Emre Sahinoglu <[email-masked]>
Date: Tue, 30 Jun 2020 19:35:50 +0300

"Ah, shit here we go again..." CJ

I think that I'm very bad while using debuggers. I'm gonna try it in order
to send any info I can provide.

On Tue, Jun 30, 2020 at 7:25 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Yigit Emre Sahinoglu <[email-masked]>
> > Date: Mon, 29 Jun 2020 20:09:57 +0300
> > Cc: [email-masked]
> >
> > I forgot to say this, when I enter `chcp 857` and then enter emacs, the
> problem still exists even though the
> > system returns chcp 857.
>
> Thanks.
>
> I think the next step is for someone to run Emacs under GDB and see
> what kind of character codes Windows feeds us on the Turkish Windows
> systems.  The relevant function is key_event in w32inevt.c.  I guess
> there's some basic misunderstanding of what happens there on these
> Windows systems.
>